# XMLDiff\Base::__construct

(PECL xmldiff >= 0.8.0)

XMLDiff\Base::__construct — Constructor

### Description

public XMLDiff\Base::__construct ( string `$nsname` )

Base constructor for all the worker classes in the xmldiff extension.

### Parameters

`nsname`

  Custom namespace name for the diff document. The default namespace is http://www.locus.cz/diffmark and that's enough to avoid namespace conflicts. Use this parameter if you want to change it for some reason.

### Return Values